Package org.apache.jorphan.util

# Class JMeterError

java.lang.Object
java.lang.Throwable
java.lang.Error
org.apache.jorphan.util.JMeterError

All Implemented Interfaces:
  `Serializable`

public class JMeterError extends Error
Custom JMeter `Error`

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JMeterError()`
  `JMeterError(String s)`
  `JMeterError(String message, Throwable cause)`
  `JMeterError(String s, Throwable ex, boolean enableSuppression, boolean writableStackTrace)`
  `JMeterError(Throwable cause)`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JMeterError

    public JMeterError()

  - ### JMeterError

    public JMeterError(String s)

  - ### JMeterError

    public JMeterError(Throwable cause)

  - ### JMeterError

    public JMeterError(String message, Throwable cause)

  - ### JMeterError

    public JMeterError(String s, Throwable ex, boolean enableSuppression, boolean writableStackTrace)